API reference
Export
Export a table's rows as a file, and check an export's status.
The Export objectLink to section
created_atintegerRequiredAt least 0.
updated_atintegerRequiredAt least 0.
idstringRequiredproject_idstringRequiredtable_idstringRequirednullableactor_idstringRequiredchecksumstringRequiredstatusstringRequired- Allowed values
processingcompletefailed
The Export objectjson
{ "created_at": 1711468800000, "updated_at": 1711468800000, "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6", "project_id": "string", "table_id": "string", "actor_id": "string", "checksum": "string", "status": "processing", "filter_json": "string", "row_count": 42, "json_key": "string", "csv_key": "string", "xlsx_key": "string", "error": "string", "expires_at": 1711468800000}Get export status
GET/v1/projects/{project_id}/exports/{export_id}
Requirestables:read
Path parameters
project_idstringRequiredexport_idstringRequired
Returns
200application/json
created_atintegerRequiredAt least 0.
updated_atintegerRequiredAt least 0.
idstringRequiredproject_idstringRequiredtable_idstringRequirednullableactor_idstringRequiredchecksumstringRequiredstatusstringRequired- Allowed values
processingcompletefailed
filter_jsonstringRequirednullablerow_countintegerRequirednullablejson_keystringRequirednullablecsv_keystringRequirednullablexlsx_keystringRequirednullableerrorstringRequirednullableexpires_atintegerRequirednullable
Errors
- 404
export_not_foundnot_found - 500
captcha_unavailableinternal_server_error
Requestbash
curl 'https://api.anyrow.ai/v1/projects/{project_id}/exports/{export_id}' \ -H 'Authorization: ApiKey {your_api_key}'Responsejson
{ "created_at": 1711468800000, "updated_at": 1711468800000, "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6", "project_id": "string", "table_id": "string", "actor_id": "string", "checksum": "string", "status": "processing", "filter_json": "string", "row_count": 42, "json_key": "string", "csv_key": "string", "xlsx_key": "string", "error": "string", "expires_at": 1711468800000}Export table rows
GET/v1/projects/{project_id}/tables/{table_id}/export
Requirestables:read
Path parameters
project_idstringRequiredtable_idstringRequired
Query parameters
filterstringoptionalformatstringRequired- Allowed values
csvjsonxlsx
orderstringoptionalschemastringoptional- Allowed values
truefalse
searchstringoptionalUp to 200 characters.
sincestringoptional
Returns
200application/json
idstringRequiredstatusstringRequired- Always
processing
Errors
- 402
api_request_limit_exceededexport_limit_exceededfeature_not_available - 404
not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableexport_failedinternal_server_error
Requestbash
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/export?format=csv' \ -H 'Authorization: ApiKey {your_api_key}'Responsejson
{ "id": "string", "status": "processing"}